aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Tiziano Müller <dev-zero@gentoo.org> 2008-04-12 09:04:47 +0000
committerAvatar Tiziano Müller <dev-zero@gentoo.org> 2008-04-12 09:04:47 +0000
commit64a6325ff646529ca645fe0e94faca982d6d88e4 (patch)
tree3f4e7c158aa7ca16316e92c5b2825fe9f905b4f8
parent5a7a43eedb9b84d49a30cff4ef33d030e978422a (diff)
downloadpaludis-64a6325ff646529ca645fe0e94faca982d6d88e4.tar.gz
paludis-64a6325ff646529ca645fe0e94faca982d6d88e4.tar.xz
keepdir should create .keep-files as .keep_${CATEGORY}_${PN}-${SLOT} to avoid collisions between packages "keeping" the same directories (fixes ticket #553)
-rw-r--r--paludis/repositories/e/ebuild/install_functions.bash6
1 files changed, 3 insertions, 3 deletions
diff --git a/paludis/repositories/e/ebuild/install_functions.bash b/paludis/repositories/e/ebuild/install_functions.bash
index 9c00e38..7adc193 100644
--- a/paludis/repositories/e/ebuild/install_functions.bash
+++ b/paludis/repositories/e/ebuild/install_functions.bash
@@ -36,12 +36,12 @@ keepdir()
dodir "$@"
if [[ "${1}" == "-R" ]] || [[ "${1}" == "-r" ]] ; then
shift
- find "$@" -type d -printf "${D}/%p/.keep\0" | xargs -0 touch
- assert "Failed to create .keep files"
+ find "$@" -type d -printf "${D}/%p/.keep_${CATEGORY}_${PN}-${SLOT}\0" | xargs -0 touch
+ assert "Failed to create .keep_${CATEGORY}_${PN}-${SLOT} files"
else
local f
for f in "$@" ; do
- touch "${D}/${f}/.keep" || die "Couldn't touch .keep in ${f}"
+ touch "${D}/${f}/.keep_${CATEGORY}_${PN}-${SLOT}" || die "Couldn't touch .keep_${CATEGORY}_${PN}-${SLOT} in ${f}"
done
fi
}